Index: palm/trunk/SOURCE/data_output_netcdf4_module.f90
===================================================================
--- palm/trunk/SOURCE/data_output_netcdf4_module.f90	(revision 4146)
+++ palm/trunk/SOURCE/data_output_netcdf4_module.f90	(revision 4147)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! corrected indentation according to coding standard
+!
+! 4141 2019-08-05 12:24:51Z gronemeier
 ! Initial revision
 !
@@ -37,89 +40,89 @@
 !> This is either done in parallel mode via parallel NetCDF4 I/O or in serial mode only by PE0.
 !--------------------------------------------------------------------------------------------------!
-MODULE data_output_netcdf4_module
-
-   USE kinds
+ MODULE data_output_netcdf4_module
+
+    USE kinds
 
 #if defined( __parallel )
 #if defined( __mpifh )
-   INCLUDE "mpif.h"
-#else
-   USE MPI
-#endif
-#endif
-
-#if defined( __netcdf4 )
-   USE NETCDF
-#endif
-
-   IMPLICIT NONE
-
-   CHARACTER(LEN=800) ::  internal_error_message = ''  !< string containing the last error message
-   CHARACTER(LEN=100) ::  file_suffix = ''             !< file suffix added to each file name
-   CHARACTER(LEN=800) ::  temp_string                  !< dummy string
-
-   CHARACTER(LEN=*), PARAMETER ::  mode_parallel = 'parallel'  !< string selecting netcdf4 parallel mode
-   CHARACTER(LEN=*), PARAMETER ::  mode_serial   = 'serial'    !< string selecting netcdf4 serial mode
-
-   INTEGER ::  debug_output_unit       !< Fortran Unit Number of the debug-output file
-   INTEGER ::  global_id_in_file = -1  !< value of global ID within a file
-   INTEGER ::  master_rank             !< master rank for tasks to be executed by single PE only
-   INTEGER ::  output_group_comm       !< MPI communicator addressing all MPI ranks which participate in output
-
-   LOGICAL ::  print_debug_output = .FALSE.  !< if true, debug output is printed
-
-   SAVE
-
-   PRIVATE
-
-   INTERFACE netcdf4_init_module
-      MODULE PROCEDURE netcdf4_init_module
-   END INTERFACE netcdf4_init_module
-
-   INTERFACE netcdf4_open_file
-      MODULE PROCEDURE netcdf4_open_file
-   END INTERFACE netcdf4_open_file
-
-   INTERFACE netcdf4_init_dimension
-      MODULE PROCEDURE netcdf4_init_dimension
-   END INTERFACE netcdf4_init_dimension
-
-   INTERFACE netcdf4_init_variable
-      MODULE PROCEDURE netcdf4_init_variable
-   END INTERFACE netcdf4_init_variable
-
-   INTERFACE netcdf4_write_attribute
-      MODULE PROCEDURE netcdf4_write_attribute
-   END INTERFACE netcdf4_write_attribute
-
-   INTERFACE netcdf4_stop_file_header_definition
-      MODULE PROCEDURE netcdf4_stop_file_header_definition
-   END INTERFACE netcdf4_stop_file_header_definition
-
-   INTERFACE netcdf4_write_variable
-      MODULE PROCEDURE netcdf4_write_variable
-   END INTERFACE netcdf4_write_variable
-
-   INTERFACE netcdf4_finalize
-      MODULE PROCEDURE netcdf4_finalize
-   END INTERFACE netcdf4_finalize
-
-   INTERFACE netcdf4_get_error_message
-      MODULE PROCEDURE netcdf4_get_error_message
-   END INTERFACE netcdf4_get_error_message
-
-   PUBLIC &
-      netcdf4_finalize, &
-      netcdf4_get_error_message, &
-      netcdf4_init_dimension, &
-      netcdf4_stop_file_header_definition, &
-      netcdf4_init_module, &
-      netcdf4_init_variable, &
-      netcdf4_open_file, &
-      netcdf4_write_attribute, &
-      netcdf4_write_variable
-
-
-CONTAINS
+    INCLUDE "mpif.h"
+#else
+    USE MPI
+#endif
+#endif
+
+#if defined( __netcdf4 )
+    USE NETCDF
+#endif
+
+    IMPLICIT NONE
+
+    CHARACTER(LEN=800) ::  internal_error_message = ''  !< string containing the last error message
+    CHARACTER(LEN=100) ::  file_suffix = ''             !< file suffix added to each file name
+    CHARACTER(LEN=800) ::  temp_string                  !< dummy string
+
+    CHARACTER(LEN=*), PARAMETER ::  mode_parallel = 'parallel'  !< string selecting netcdf4 parallel mode
+    CHARACTER(LEN=*), PARAMETER ::  mode_serial   = 'serial'    !< string selecting netcdf4 serial mode
+
+    INTEGER ::  debug_output_unit       !< Fortran Unit Number of the debug-output file
+    INTEGER ::  global_id_in_file = -1  !< value of global ID within a file
+    INTEGER ::  master_rank             !< master rank for tasks to be executed by single PE only
+    INTEGER ::  output_group_comm       !< MPI communicator addressing all MPI ranks which participate in output
+
+    LOGICAL ::  print_debug_output = .FALSE.  !< if true, debug output is printed
+
+    SAVE
+
+    PRIVATE
+
+    INTERFACE netcdf4_init_module
+       MODULE PROCEDURE netcdf4_init_module
+    END INTERFACE netcdf4_init_module
+
+    INTERFACE netcdf4_open_file
+       MODULE PROCEDURE netcdf4_open_file
+    END INTERFACE netcdf4_open_file
+
+    INTERFACE netcdf4_init_dimension
+       MODULE PROCEDURE netcdf4_init_dimension
+    END INTERFACE netcdf4_init_dimension
+
+    INTERFACE netcdf4_init_variable
+       MODULE PROCEDURE netcdf4_init_variable
+    END INTERFACE netcdf4_init_variable
+
+    INTERFACE netcdf4_write_attribute
+       MODULE PROCEDURE netcdf4_write_attribute
+    END INTERFACE netcdf4_write_attribute
+
+    INTERFACE netcdf4_stop_file_header_definition
+       MODULE PROCEDURE netcdf4_stop_file_header_definition
+    END INTERFACE netcdf4_stop_file_header_definition
+
+    INTERFACE netcdf4_write_variable
+       MODULE PROCEDURE netcdf4_write_variable
+    END INTERFACE netcdf4_write_variable
+
+    INTERFACE netcdf4_finalize
+       MODULE PROCEDURE netcdf4_finalize
+    END INTERFACE netcdf4_finalize
+
+    INTERFACE netcdf4_get_error_message
+       MODULE PROCEDURE netcdf4_get_error_message
+    END INTERFACE netcdf4_get_error_message
+
+    PUBLIC &
+       netcdf4_finalize, &
+       netcdf4_get_error_message, &
+       netcdf4_init_dimension, &
+       netcdf4_stop_file_header_definition, &
+       netcdf4_init_module, &
+       netcdf4_init_variable, &
+       netcdf4_open_file, &
+       netcdf4_write_attribute, &
+       netcdf4_write_variable
+
+
+ CONTAINS
 
 
@@ -129,29 +132,29 @@
 !> Initialize data-output module.
 !--------------------------------------------------------------------------------------------------!
-SUBROUTINE netcdf4_init_module( file_suffix_of_output_group, mpi_comm_of_output_group, &
-                                master_output_rank,                                    &
-                                program_debug_output_unit, debug_output, dom_global_id )
-
-   CHARACTER(LEN=*), INTENT(IN) ::  file_suffix_of_output_group  !> file-name suffix added to each file;
-                                                                 !> must be unique for each output group
-
-   INTEGER, INTENT(IN) ::  dom_global_id              !< global id within a file defined by DOM
-   INTEGER, INTENT(IN) ::  master_output_rank         !< MPI rank executing tasks which must be executed by a single PE
-   INTEGER, INTENT(IN) ::  mpi_comm_of_output_group   !< MPI communicator specifying the rank group participating in output
-   INTEGER, INTENT(IN) ::  program_debug_output_unit  !< file unit number for debug output
-
-   LOGICAL, INTENT(IN) ::  debug_output  !< if true, debug output is printed
-
-
-   file_suffix = file_suffix_of_output_group
-   output_group_comm = mpi_comm_of_output_group
-   master_rank = master_output_rank
-
-   debug_output_unit = program_debug_output_unit
-   print_debug_output = debug_output
-
-   global_id_in_file = dom_global_id
-
-END SUBROUTINE netcdf4_init_module
+ SUBROUTINE netcdf4_init_module( file_suffix_of_output_group, mpi_comm_of_output_group, &
+                                 master_output_rank,                                    &
+                                 program_debug_output_unit, debug_output, dom_global_id )
+
+    CHARACTER(LEN=*), INTENT(IN) ::  file_suffix_of_output_group  !> file-name suffix added to each file;
+                                                                  !> must be unique for each output group
+
+    INTEGER, INTENT(IN) ::  dom_global_id              !< global id within a file defined by DOM
+    INTEGER, INTENT(IN) ::  master_output_rank         !< MPI rank executing tasks which must be executed by a single PE
+    INTEGER, INTENT(IN) ::  mpi_comm_of_output_group   !< MPI communicator specifying the rank group participating in output
+    INTEGER, INTENT(IN) ::  program_debug_output_unit  !< file unit number for debug output
+
+    LOGICAL, INTENT(IN) ::  debug_output  !< if true, debug output is printed
+
+
+    file_suffix = file_suffix_of_output_group
+    output_group_comm = mpi_comm_of_output_group
+    master_rank = master_output_rank
+
+    debug_output_unit = program_debug_output_unit
+    print_debug_output = debug_output
+
+    global_id_in_file = dom_global_id
+
+ END SUBROUTINE netcdf4_init_module
 
 !--------------------------------------------------------------------------------------------------!
@@ -160,88 +163,88 @@
 !> Open netcdf file.
 !--------------------------------------------------------------------------------------------------!
-SUBROUTINE netcdf4_open_file( mode, file_name, file_id, return_value )
-
-   CHARACTER(LEN=*), INTENT(IN) ::  file_name  !< name of file
-   CHARACTER(LEN=*), INTENT(IN) ::  mode       !< operation mode (either parallel or serial)
-
-   CHARACTER(LEN=*), PARAMETER ::  routine_name = 'netcdf4_open_file'  !< name of this routine
-
-   INTEGER, INTENT(OUT) ::  file_id       !< file ID
-   INTEGER              ::  my_rank       !< MPI rank of processor
-   INTEGER              ::  nc_stat       !< netcdf return value
-   INTEGER, INTENT(OUT) ::  return_value  !< return value
-
-
-   return_value = 0
-   file_id = -1
-
-   !-- Open new file
-   CALL internal_message( 'debug', routine_name // ': create file "' // TRIM( file_name ) // '"' )
-
-   IF ( TRIM( mode ) == mode_serial )  THEN
+ SUBROUTINE netcdf4_open_file( mode, file_name, file_id, return_value )
+
+    CHARACTER(LEN=*), INTENT(IN) ::  file_name  !< name of file
+    CHARACTER(LEN=*), INTENT(IN) ::  mode       !< operation mode (either parallel or serial)
+
+    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'netcdf4_open_file'  !< name of this routine
+
+    INTEGER, INTENT(OUT) ::  file_id       !< file ID
+    INTEGER              ::  my_rank       !< MPI rank of processor
+    INTEGER              ::  nc_stat       !< netcdf return value
+    INTEGER, INTENT(OUT) ::  return_value  !< return value
+
+
+    return_value = 0
+    file_id = -1
+!
+!-- Open new file
+    CALL internal_message( 'debug', routine_name // ': create file "' // TRIM( file_name ) // '"' )
+
+    IF ( TRIM( mode ) == mode_serial )  THEN
 
 #if defined( __netcdf4 )
 #if defined( __parallel )
-      CALL MPI_COMM_RANK( output_group_comm, my_rank, return_value )
-      IF ( return_value /= 0 )  THEN
-         CALL internal_message( 'error', routine_name // ': MPI_COMM_RANK error' )
-      ENDIF
-      IF ( my_rank /= master_rank )  THEN
-         return_value = 1
-         CALL internal_message( 'error', routine_name // &
-                                ': trying to define a NetCDF file in serial mode by an MPI ' // &
-                                'rank other than the master output rank. Serial NetCDF ' // &
-                                'files can only be defined by the master output rank!' )
-      ENDIF
-#else
-      my_rank = master_rank
-      return_value = 0
-#endif
-
-      IF ( return_value == 0 )  &
-         nc_stat = NF90_CREATE( TRIM( file_name ) // TRIM( file_suffix ), &
-                                IOR( NF90_NOCLOBBER, NF90_NETCDF4 ),      &
-                                file_id )
-#else
-      nc_stat = 0
-      return_value = 1
-      CALL internal_message( 'error', routine_name //                               &
-                             ': pre-processor directive "__netcdf4" not given. ' // &
-                             'Using NetCDF4 output not possible' )
-#endif
-
-   ELSEIF ( TRIM( mode ) == mode_parallel )  THEN
+       CALL MPI_COMM_RANK( output_group_comm, my_rank, return_value )
+       IF ( return_value /= 0 )  THEN
+          CALL internal_message( 'error', routine_name // ': MPI_COMM_RANK error' )
+       ENDIF
+       IF ( my_rank /= master_rank )  THEN
+          return_value = 1
+          CALL internal_message( 'error', routine_name // &
+                                 ': trying to define a NetCDF file in serial mode by an MPI ' // &
+                                 'rank other than the master output rank. Serial NetCDF ' // &
+                                 'files can only be defined by the master output rank!' )
+       ENDIF
+#else
+       my_rank = master_rank
+       return_value = 0
+#endif
+
+       IF ( return_value == 0 )  &
+          nc_stat = NF90_CREATE( TRIM( file_name ) // TRIM( file_suffix ), &
+                                 IOR( NF90_NOCLOBBER, NF90_NETCDF4 ),      &
+                                 file_id )
+#else
+       nc_stat = 0
+       return_value = 1
+       CALL internal_message( 'error', routine_name //                               &
+                              ': pre-processor directive "__netcdf4" not given. ' // &
+                              'Using NetCDF4 output not possible' )
+#endif
+
+    ELSEIF ( TRIM( mode ) == mode_parallel )  THEN
 
 #if defined( __parallel ) && defined( __netcdf4 ) && defined( __netcdf4_parallel )
-      nc_stat = NF90_CREATE( TRIM( file_name ) // TRIM( file_suffix ),               &
-                             IOR( NF90_NOCLOBBER, IOR( NF90_NETCDF4, NF90_MPIIO ) ), &
-                             file_id, COMM = output_group_comm, INFO = MPI_INFO_NULL )
-#else
-      nc_stat = 0
-      return_value = 1
-      CALL internal_message( 'error', routine_name //                                 &
-                             ': pre-processor directives "__parallel" and/or ' //     &
-                             '"__netcdf4" and/or "__netcdf4_parallel" not given. ' // &
-                             'Using parallel NetCDF4 output not possible' )
-#endif
-
-   ELSE
-      nc_stat = 0
-      return_value = 1
-      CALL internal_message( 'error', routine_name // ': selected mode "' //  &
-                                      TRIM( mode ) // '" must be either "' // &
-                                      mode_serial // '" or "' // mode_parallel // '"' )
-   ENDIF
-
-#if defined( __netcdf4 )
-   IF ( nc_stat /= NF90_NOERR  .AND.  return_value == 0 )  THEN
-      return_value = 1
-      CALL internal_message( 'error', routine_name //                 &
-                             ': NetCDF error while opening file "' // &
-                             TRIM( file_name ) // '": ' // NF90_STRERROR( nc_stat ) )
-   ENDIF
-#endif
-
-END SUBROUTINE netcdf4_open_file
+       nc_stat = NF90_CREATE( TRIM( file_name ) // TRIM( file_suffix ),               &
+                              IOR( NF90_NOCLOBBER, IOR( NF90_NETCDF4, NF90_MPIIO ) ), &
+                              file_id, COMM = output_group_comm, INFO = MPI_INFO_NULL )
+#else
+       nc_stat = 0
+       return_value = 1
+       CALL internal_message( 'error', routine_name //                                 &
+                              ': pre-processor directives "__parallel" and/or ' //     &
+                              '"__netcdf4" and/or "__netcdf4_parallel" not given. ' // &
+                              'Using parallel NetCDF4 output not possible' )
+#endif
+
+    ELSE
+       nc_stat = 0
+       return_value = 1
+       CALL internal_message( 'error', routine_name // ': selected mode "' //  &
+                                       TRIM( mode ) // '" must be either "' // &
+                                       mode_serial // '" or "' // mode_parallel // '"' )
+    ENDIF
+
+#if defined( __netcdf4 )
+    IF ( nc_stat /= NF90_NOERR  .AND.  return_value == 0 )  THEN
+       return_value = 1
+       CALL internal_message( 'error', routine_name //                 &
+                              ': NetCDF error while opening file "' // &
+                              TRIM( file_name ) // '": ' // NF90_STRERROR( nc_stat ) )
+    ENDIF
+#endif
+
+ END SUBROUTINE netcdf4_open_file
 
 !--------------------------------------------------------------------------------------------------!
@@ -250,71 +253,71 @@
 !> Write attribute to netcdf file.
 !--------------------------------------------------------------------------------------------------!
-SUBROUTINE netcdf4_write_attribute( file_id, variable_id, attribute_name, &
-                 value_char, value_int8, value_int16, value_int32,        &
-                 value_real32, value_real64, return_value )
-
-   CHARACTER(LEN=*), INTENT(IN)           ::  attribute_name  !< name of attribute
-   CHARACTER(LEN=*), INTENT(IN), OPTIONAL ::  value_char      !< value of attribute
-
-   CHARACTER(LEN=*), PARAMETER ::  routine_name = 'netcdf4_write_attribute'  !< name of this routine
-
-   INTEGER ::  nc_stat    !< netcdf return value
-   INTEGER ::  target_id  !< ID of target which gets attribute (either global or variable_id)
-
-   INTEGER, INTENT(IN)  ::  file_id       !< file ID
-   INTEGER, INTENT(OUT) ::  return_value  !< return value
-   INTEGER, INTENT(IN)  ::  variable_id   !< variable ID
-
-   INTEGER(KIND=1), INTENT(IN), OPTIONAL ::  value_int8   !< value of attribute
-   INTEGER(KIND=2), INTENT(IN), OPTIONAL ::  value_int16  !< value of attribute
-   INTEGER(KIND=4), INTENT(IN), OPTIONAL ::  value_int32  !< value of attribute
-
-   REAL(KIND=4), INTENT(IN), OPTIONAL ::  value_real32  !< value of attribute
-   REAL(KIND=8), INTENT(IN), OPTIONAL ::  value_real64  !< value of attribute
-
-
-#if defined( __netcdf4 )
-   return_value = 0
-
-   IF ( variable_id == global_id_in_file )  THEN
-      target_id = NF90_GLOBAL
-   ELSE
-      target_id = variable_id
-   ENDIF
-
-   CALL internal_message( 'debug', routine_name // &
-                          ': write attribute "' // TRIM( attribute_name ) // '"' )
-
-   IF ( PRESENT( value_char ) )  THEN
-      nc_stat = NF90_PUT_ATT( file_id, target_id, TRIM( attribute_name ), TRIM( value_char ) )
-   ELSEIF ( PRESENT( value_int8 ) )  THEN
-      nc_stat = NF90_PUT_ATT( file_id, target_id, TRIM( attribute_name ), value_int8 )
-   ELSEIF ( PRESENT( value_int16 ) )  THEN
-      nc_stat = NF90_PUT_ATT( file_id, target_id, TRIM( attribute_name ), value_int16 )
-   ELSEIF ( PRESENT( value_int32 ) )  THEN
-      nc_stat = NF90_PUT_ATT( file_id, target_id, TRIM( attribute_name ), value_int32 )
-   ELSEIF ( PRESENT( value_real32 ) )  THEN
-      nc_stat = NF90_PUT_ATT( file_id, target_id, TRIM( attribute_name ), value_real32 )
-   ELSEIF ( PRESENT( value_real64 ) )  THEN
-      nc_stat = NF90_PUT_ATT( file_id, target_id, TRIM( attribute_name ), value_real64 )
-   ELSE
-      return_value = 1
-      CALL internal_message( 'error', routine_name // &
-                             ': no value given for attribute "' // TRIM( attribute_name ) // '"' )
-   ENDIF
-
-   IF ( return_value == 0 )  THEN
-      IF ( nc_stat /= NF90_NOERR )  THEN
-         return_value = 1
-         CALL internal_message( 'error', routine_name //                      &
-                                ': NetCDF error while writing attribute "' // &
-                                TRIM( attribute_name ) // '": ' // NF90_STRERROR( nc_stat ) )
-      ENDIF
-   ENDIF
-#else
-   return_value = 1
-#endif
-
-END SUBROUTINE netcdf4_write_attribute
+ SUBROUTINE netcdf4_write_attribute( file_id, variable_id, attribute_name, &
+                  value_char, value_int8, value_int16, value_int32,        &
+                  value_real32, value_real64, return_value )
+
+    CHARACTER(LEN=*), INTENT(IN)           ::  attribute_name  !< name of attribute
+    CHARACTER(LEN=*), INTENT(IN), OPTIONAL ::  value_char      !< value of attribute
+
+    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'netcdf4_write_attribute'  !< name of this routine
+
+    INTEGER ::  nc_stat    !< netcdf return value
+    INTEGER ::  target_id  !< ID of target which gets attribute (either global or variable_id)
+
+    INTEGER, INTENT(IN)  ::  file_id       !< file ID
+    INTEGER, INTENT(OUT) ::  return_value  !< return value
+    INTEGER, INTENT(IN)  ::  variable_id   !< variable ID
+
+    INTEGER(KIND=1), INTENT(IN), OPTIONAL ::  value_int8   !< value of attribute
+    INTEGER(KIND=2), INTENT(IN), OPTIONAL ::  value_int16  !< value of attribute
+    INTEGER(KIND=4), INTENT(IN), OPTIONAL ::  value_int32  !< value of attribute
+
+    REAL(KIND=4), INTENT(IN), OPTIONAL ::  value_real32  !< value of attribute
+    REAL(KIND=8), INTENT(IN), OPTIONAL ::  value_real64  !< value of attribute
+
+
+#if defined( __netcdf4 )
+    return_value = 0
+
+    IF ( variable_id == global_id_in_file )  THEN
+       target_id = NF90_GLOBAL
+    ELSE
+       target_id = variable_id
+    ENDIF
+
+    CALL internal_message( 'debug', routine_name // &
+                           ': write attribute "' // TRIM( attribute_name ) // '"' )
+
+    IF ( PRESENT( value_char ) )  THEN
+       nc_stat = NF90_PUT_ATT( file_id, target_id, TRIM( attribute_name ), TRIM( value_char ) )
+    ELSEIF ( PRESENT( value_int8 ) )  THEN
+       nc_stat = NF90_PUT_ATT( file_id, target_id, TRIM( attribute_name ), value_int8 )
+    ELSEIF ( PRESENT( value_int16 ) )  THEN
+       nc_stat = NF90_PUT_ATT( file_id, target_id, TRIM( attribute_name ), value_int16 )
+    ELSEIF ( PRESENT( value_int32 ) )  THEN
+       nc_stat = NF90_PUT_ATT( file_id, target_id, TRIM( attribute_name ), value_int32 )
+    ELSEIF ( PRESENT( value_real32 ) )  THEN
+       nc_stat = NF90_PUT_ATT( file_id, target_id, TRIM( attribute_name ), value_real32 )
+    ELSEIF ( PRESENT( value_real64 ) )  THEN
+       nc_stat = NF90_PUT_ATT( file_id, target_id, TRIM( attribute_name ), value_real64 )
+    ELSE
+       return_value = 1
+       CALL internal_message( 'error', routine_name // &
+                              ': no value given for attribute "' // TRIM( attribute_name ) // '"' )
+    ENDIF
+
+    IF ( return_value == 0 )  THEN
+       IF ( nc_stat /= NF90_NOERR )  THEN
+          return_value = 1
+          CALL internal_message( 'error', routine_name //                      &
+                                 ': NetCDF error while writing attribute "' // &
+                                 TRIM( attribute_name ) // '": ' // NF90_STRERROR( nc_stat ) )
+       ENDIF
+    ENDIF
+#else
+    return_value = 1
+#endif
+
+ END SUBROUTINE netcdf4_write_attribute
 
 !--------------------------------------------------------------------------------------------------!
@@ -323,58 +326,58 @@
 !> Initialize dimension.
 !--------------------------------------------------------------------------------------------------!
-SUBROUTINE netcdf4_init_dimension( mode, file_id, dimension_id, variable_id, &
-              dimension_name, dimension_type, dimension_length, return_value )
-
-   CHARACTER(LEN=*), INTENT(IN) ::  dimension_name  !< name of dimension
-   CHARACTER(LEN=*), INTENT(IN) ::  dimension_type  !< data type of dimension
-   CHARACTER(LEN=*), INTENT(IN) ::  mode            !< operation mode (either parallel or serial)
-
-   CHARACTER(LEN=*), PARAMETER ::  routine_name = 'netcdf4_init_dimension'  !< name of this routine
-
-   INTEGER, INTENT(OUT) ::  dimension_id         !< dimension ID
-   INTEGER, INTENT(IN)  ::  dimension_length     !< length of dimension
-   INTEGER, INTENT(IN)  ::  file_id              !< file ID
-   INTEGER              ::  nc_dimension_length  !< length of dimension
-   INTEGER              ::  nc_stat              !< netcdf return value
-   INTEGER, INTENT(OUT) ::  return_value         !< return value
-   INTEGER, INTENT(OUT) ::  variable_id          !< variable ID
-
-
-#if defined( __netcdf4 )
-   return_value = 0
-   variable_id = -1
-
-   CALL internal_message( 'debug', routine_name // &
-                          ': init dimension "' // TRIM( dimension_name ) // '"' )
-
-   !-- Check if dimension is unlimited
-   IF ( dimension_length < 0 )  THEN
-      nc_dimension_length = NF90_UNLIMITED
-   ELSE
-      nc_dimension_length = dimension_length
-   ENDIF
-
-   !-- Define dimension in file
-   nc_stat = NF90_DEF_DIM( file_id, dimension_name, nc_dimension_length, dimension_id )
-
-   IF ( nc_stat == NF90_NOERR )  THEN
-
-      !-- Define variable holding dimension values in file
-      CALL netcdf4_init_variable( mode, file_id, variable_id, dimension_name, dimension_type, &
-                                  (/ dimension_id /), is_global=.TRUE., return_value=return_value )
-
-   ELSE
-      return_value = 1
-      CALL internal_message( 'error', routine_name //                           &
-                             ': NetCDF error while initializing dimension "' // &
-                             TRIM( dimension_name ) // '": ' // NF90_STRERROR( nc_stat ) )
-   ENDIF
-#else
-   return_value = 1
-   variable_id = -1
-   dimension_id = -1
-#endif
-
-END SUBROUTINE netcdf4_init_dimension
+ SUBROUTINE netcdf4_init_dimension( mode, file_id, dimension_id, variable_id, &
+               dimension_name, dimension_type, dimension_length, return_value )
+
+    CHARACTER(LEN=*), INTENT(IN) ::  dimension_name  !< name of dimension
+    CHARACTER(LEN=*), INTENT(IN) ::  dimension_type  !< data type of dimension
+    CHARACTER(LEN=*), INTENT(IN) ::  mode            !< operation mode (either parallel or serial)
+
+    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'netcdf4_init_dimension'  !< name of this routine
+
+    INTEGER, INTENT(OUT) ::  dimension_id         !< dimension ID
+    INTEGER, INTENT(IN)  ::  dimension_length     !< length of dimension
+    INTEGER, INTENT(IN)  ::  file_id              !< file ID
+    INTEGER              ::  nc_dimension_length  !< length of dimension
+    INTEGER              ::  nc_stat              !< netcdf return value
+    INTEGER, INTENT(OUT) ::  return_value         !< return value
+    INTEGER, INTENT(OUT) ::  variable_id          !< variable ID
+
+
+#if defined( __netcdf4 )
+    return_value = 0
+    variable_id = -1
+
+    CALL internal_message( 'debug', routine_name // &
+                           ': init dimension "' // TRIM( dimension_name ) // '"' )
+!
+!-- Check if dimension is unlimited
+    IF ( dimension_length < 0 )  THEN
+       nc_dimension_length = NF90_UNLIMITED
+    ELSE
+       nc_dimension_length = dimension_length
+    ENDIF
+!
+!-- Define dimension in file
+    nc_stat = NF90_DEF_DIM( file_id, dimension_name, nc_dimension_length, dimension_id )
+
+    IF ( nc_stat == NF90_NOERR )  THEN
+!
+!--    Define variable holding dimension values in file
+       CALL netcdf4_init_variable( mode, file_id, variable_id, dimension_name, dimension_type, &
+                                   (/ dimension_id /), is_global=.TRUE., return_value=return_value )
+
+    ELSE
+       return_value = 1
+       CALL internal_message( 'error', routine_name //                           &
+                              ': NetCDF error while initializing dimension "' // &
+                              TRIM( dimension_name ) // '": ' // NF90_STRERROR( nc_stat ) )
+    ENDIF
+#else
+    return_value = 1
+    variable_id = -1
+    dimension_id = -1
+#endif
+
+ END SUBROUTINE netcdf4_init_dimension
 
 !--------------------------------------------------------------------------------------------------!
